function getTitle(item) {
    let result = item.match(/<strong class="comic-title">([\S\s]*?)</);
    if (result && result.length > 1) {
        return result[1];
    }
}
function getCover(item) {
    let result = item.match(/<img class="cover-image" src="([\S\s]*?)"/);
    if (result && result.length > 1) {
        return result[1];
    }
}
function getTime(item) {
    let result = item.match(/<small class="comic-update">([\S\s]*?)</);
    if (result && result.length > 1) {
        return result[1];
    }
}
function getTags(item) {
    let result = item.match(/<small class="comic-tag">([\S\s]*?)</);
    if (result && result.length > 1) {
        return result[1].split(' ');
    }
}
function getContent(item) {
    let result = item.match(/<small class="comic-desc">([\S\s]*?)</);
    if (result && result.length > 1) {
        return result[1];
    }
}
html = java.ajax('https://m.ac.qq.com/search/result?word=' + title + '&page=' + page);
items = html.match(/<li class="comic-item"[\S\s]*?li>/g);
data = [];
if (items && items.length > 0) {
    for (let index = 0; index < items.length; index++) {
        let item = items[index];
        data.push({
            img: getCover(item),
            title: getTitle(item),
            updateTime: getTime(item),
            tags: getTags(item),
            content: getContent(item)
        });
    }
}
JSON.stringify({ items: data, page: data.length >= 20 ? Number.parseInt(page) + 1 : 0 });